<?php

namespace FiloBlu\Storelocator\Block\PickUpInStore;

use FiloBlu\Storelocator\Helper\Data;
use Magento\Framework\View\Element\Template;
use Magento\Framework\App\RequestInterface;
use Magento\Store\Model\StoreManagerInterface;

/**
 *
 */
class RmaAjax extends Template
{
	/**
	 * @var Data
	 */
	protected $helper;

	/**
	 * @var RequestInterface
	 */
	protected $request;
    /**
     * @var StoreManagerInterface
     */
    protected $storeManager;

    /**
	 * @param Template\Context $context
	 * @param Data $helper
	 * @param array $data
	 */
	public function __construct(
		Template\Context $context,
		Data             $helper,
		array            $data = []
	)
	{
        $this->helper = $helper;
        $this->storeManager = $context->getStoreManager();
        parent::__construct($context, $data);
    }

	public function isReturnInStoreEnabled()
	{
		return $this->helper->getReturnToStoreEnabled($this->storeManager->getStore()->getId());
	}
}